#!/bin/bash
 
echo "Building .jar ............................................"
mvn clean package
echo -e "\n###  Running ................................................."
echo -e "###  input output support memory #databases should be choosen correctly to fit the Mining problem"

echo -e "###  Please choose maxmemory depending on input size and processing nodes capacity : 20 Mbytes/ 50 Mbytes/ 4000 Mbytes  are in general good values \n"


#########  To copy retail input data  to hdfs  ######### 
hdfs dfs -rm    -r mapfim_input
hdfs dfs -mkdir -p mapfim_input
hdfs dfs -rm    -r mapfim_output
hdfs dfs -put   ./data/retail.dat  mapfim_input/

###  To execute  MapFIM+  program  ########### 
echo "hadoop jar target/mapfim-0.0.1-hadoop.jar girafon.MapFimV2.App <input> <output> <support> <maxmemory> <#maxDatabases> <#numberOfreducers> <ProgramFileName> <#TreeEntries>  "
hadoop jar target/mapfim-0.0.1-hadoop.jar girafon.MapFimV2.App mapfim_input/retail.dat mapfim_output 100 20 10000 2 ./bin/eclat 1000000
   


